## ros-kinetic-rosserial-mbed 0.7.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosserial_mbed)

find_package(catkin REQUIRED COMPONENTS
  message_generation
)

add_message_files(FILES
  Adc.msg
)

add_service_files(FILES
  Test.srv
)

generate_messages()

catkin_package(CATKIN_DEPENDS
  message_runtime
)

install(
  DIRECTORY src/ros_lib
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/src
)

catkin_install_python(
  PROGRAMS src/${PROJECT_NAME}/make_libraries.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-rosserial-mbed (0.7.7-0xenial) xenial; urgency=high

  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * Contributors: Bei Chen Liu

 -- Gary Servin <garyservin@gmail.com>  Wed, 29 Nov 2017 05:00:00 -0000

ros-kinetic-rosserial-mbed (0.7.6-0xenial) xenial; urgency=high



 -- Gary Servin <garyservin@gmail.com>  Wed, 01 Mar 2017 05:00:00 -0000

ros-kinetic-rosserial-mbed (0.7.5-0xenial) xenial; urgency=high



 -- Gary Servin <garyservin@gmail.com>  Tue, 22 Nov 2016 05:00:00 -0000

ros-kinetic-rosserial-mbed (0.7.4-0xenial) xenial; urgency=high



 -- Gary Servin <garyservin@gmail.com>  Wed, 21 Sep 2016 04:00:00 -0000

ros-kinetic-rosserial-mbed (0.7.3-0xenial) xenial; urgency=high



 -- Gary Servin <garyservin@gmail.com>  Fri, 05 Aug 2016 04:00:00 -0000

ros-kinetic-rosserial-mbed (0.7.2-0xenial) xenial; urgency=high

  * Add initial rosserial_mbed package.
  * Contributors: Gary Servin, Romain Reignier

 -- Gary Servin <garyservin@gmail.com>  Fri, 15 Jul 2016 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rosserial-mbed
Section: misc
Priority: extra
Maintainer: Gary Servin <garyservin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation
Homepage: http://ros.org/wiki/rosserial_mbed
Standards-Version: 3.9.2

Package: ros-kinetic-rosserial-mbed
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-rospy, ros-kinetic-rosserial-client, ros-kinetic-rosserial-msgs
Description: rosserial for mbed platforms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rosserial-mbed//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
